Skip to main content
POST
/
payout_batches
Create a payout batch
curl --request POST \
  --url https://api.withacclaim.com/v1/payout_batches \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "treasury_account_id": "<string>",
  "currency": "USD",
  "items": [
    {
      "payee_id": "<string>",
      "amount": 123,
      "reference": "<string>",
      "description": "<string>"
    }
  ],
  "reference": "<string>",
  "description": "<string>"
}
'
{
  "id": "ba_r8PxTnQ5Dv",
  "status": "ReadyToProcess",
  "description": "<string>",
  "failure_code": "<string>",
  "failure_message": "<string>",
  "processed_at": "2023-11-07T05:31:56Z",
  "totals": {
    "count": 100,
    "amount": 2500000,
    "succeeded": 95,
    "failed": 5
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
treasury_account_id
string
required
currency
string
required
Example:

"USD"

items
object[]
required
Minimum array length: 1
reference
string

Optional client reference for the batch

description
string

Response

Payout batch created.

id
string
Example:

"ba_r8PxTnQ5Dv"

status
enum<string>
Available options:
ReadyToProcess,
Processing,
Succeeded,
Failed,
Canceled
description
string | null
failure_code
string | null
failure_message
string | null
processed_at
string<date-time> | null
totals
object
created_at
string<date-time>
updated_at
string<date-time>
Last modified on April 16, 2026